------------------------------------------------------
-- FFF_ItemInfo.lua
------------------------------------------------------
-- LOCALIZATION: nothing locale-specific here (any localized names are all in comments)
------------------------------------------------------

------------------------------------------------------
-- Faction IDs
------------------------------------------------------
FFF_FactionIDs = {
-- Classic
	ZANDALAR = 270,
	BROOD_NOZDORMU = 910,
	CENARION_CIRCLE = 609,
	ARGENT_DAWN = 529,
	TIMBERMAW = 576,
	THORIUM_BROTHERHOOD = 59,
-- Horde/Alliance racial factions   
	HORDE = 67,
		ORC = 76,
		TAUREN = 81,
		TROLL = 530,
		FORSAKEN = 68,
		BELF = 911,
		GOBLIN = 1133,
	ALLIANCE = 469,
		DWARF = 47,
		NELF = 69,
		GNOME = 54,
		HUMAN = 72,
		DRAENEI = 930,
		WORGEN = 1134,
-- Horde/Alliance Forces            
	FROSTWOLF = 729,
	DEFILERS = 510,
	WARSONG_OUTRIDERS = 889,
	STORMPIKE = 730,
	ARATHOR = 509,
	SILVERWING = 890,
                                    
-- Burning Crusade factions 	    
	TRANQUILLIEN = 922,
	CENARION_EXPEDITION = 942,
	SPOREGGAR = 970,
	KURENAI = 978,
	MAGHAR = 941,
	CONSORTIUM = 933,
	ALDOR = 932,
	SCRYER = 934,
	SHATAR = 935,
	LOWER_CITY = 1011,
	NETHERWING = 1015,
	SKYGUARD = 1031,
	HONOR_HOLD = 946,
	THRALLMAR = 947,
	KEEPERS_OF_TIME = 989,
	SCALE_SANDS = 990,
	SHATTERED_SUN = 1077,
	VIOLET_EYE = 967,
                                    
-- Wrath of the Lich King factions
	HORDE_EXPEDITION = 1052,
		HAND_VENGEANCE = 1067,
		TAUNKA = 1064,
		SUNREAVERS = 1124,
		WARSONG_OFFENSIVE = 1085,
	ALLIANCE_VANGUARD = 1037,
		EXPLORERS = 1068,
		FROSTBORN = 1126,
		SILVER_COVENANT = 1094,
		VALIANCE = 1050,
	SONS_HODIR = 1119,
	EBON_BLADE = 1098,
	ARGENT_CRUSADE = 1106,
	WYRMREST = 1091,
	KIRIN_TOR = 1090,
	ASHEN_VERDICT = 1156,
                                    
-- Cataclysm factions               
	RAMKAHEN = 1173,
	EARTHEN_RING = 1135,
	GUARDIANS_HYJAL = 1158,
	THERAZANE = 1171,
	WILDHAMMER = 1174,
	DRAGONMAW = 1172,
	BARADIN = 1177,
	HELLSCREAM = 1178,
}
local F = FFF_FactionIDs;

------------------------------------------------------
-- For zone-based switching
------------------------------------------------------
FFF_ZoneFactions = {
	["Horde"] = {
		[ZONE_AV] = F.FROSTWOLF,
		[ZONE_AB] = F.DEFILERS,
		[ZONE_WSG] = F.WARSONG_OUTRIDERS,
		[ZONE_SOTA] = F.WARSONG_OFFENSIVE,
		
		-- BC zones/dungeons
		[ZONE_GHOSTLANDS] = F.TRANQUILLIEN,
		[ZONE_HELLFIRE_RAMPARTS] = F.THRALLMAR,
		[ZONE_BLOOD_FURNACE] = F.THRALLMAR,
		[ZONE_SHATTERED_HALLS] = F.THRALLMAR,
	},
	["Alliance"] = {
		[ZONE_AV] = F.STORMPIKE,
		[ZONE_AB] = F.ARATHOR,
		[ZONE_WSG] = F.SILVERWING,
		[ZONE_SOTA] = F.VALIANCE,

		-- BC zones/dungeons
		[ZONE_HELLFIRE_RAMPARTS] = F.HONOR_HOLD,
		[ZONE_BLOOD_FURNACE] = F.HONOR_HOLD,
		[ZONE_SHATTERED_HALLS] = F.HONOR_HOLD,
	},
	["Neutral"] = {
		[ZONE_SILITHUS] = F.CENARION_CIRCLE,
		[ZONE_AQ20] = F.CENARION_CIRCLE,
		[ZONE_AQ40] = F.BROOD_NOZDORMU,
		[ZONE_FELWOOD] = F.TIMBERMAW,
		[ZONE_WINTERSPRING] = F.TIMBERMAW,
		
		-- BC zones/dungeons
		[ZONE_ISLE_QUELDANAS] = F.SHATTERED_SUN,
		[ZONE_AUCHENAI_CRYPTS] = F.LOWER_CITY,
		[ZONE_MANA_TOMBS] = F.CONSORTIUM,
		[ZONE_SETHEKK_HALLS] = F.LOWER_CITY,
		[ZONE_SHADOW_LABYRINTH] = F.LOWER_CITY,
		[ZONE_OLD_HILLSBRAD] = F.KEEPERS_OF_TIME,
		[ZONE_BLACK_MORASS] = F.KEEPERS_OF_TIME,
		[ZONE_SLAVE_PENS] = F.CENARION_EXPEDITION,
		[ZONE_STEAMVAULT] = F.CENARION_EXPEDITION,
		[ZONE_UNDERBOG] = F.CENARION_EXPEDITION,
		[ZONE_MAGISTERS_TERRACE] = F.SHATTERED_SUN,
		[ZONE_ARCATRAZ] = F.SHATAR,
		[ZONE_BOTANICA] = F.SHATAR,
		[ZONE_MECHANAR] = F.SHATAR,
		[ZONE_KARAZHAN] = F.VIOLET_EYE,
		[ZONE_HYJAL_SUMMIT] = F.SCALE_SANDS,
		
		-- Wrath of the Lich King
		[ZONE_ICECROWN_CITADEL] = F.ASHEN_VERDICT,
	},
};

------------------------------------------------------
-- keeps Alliance/Horde-specific factions from showing up for opposing players
------------------------------------------------------
FFF_ExcludedFactions = {
	["Alliance"] = {
		[F.FORSAKEN] = 1,
		[F.TROLL] = 1,
		[F.TAUREN] = 1,
		[F.ORC] = 1,
		[F.BELF] = 1,
		[F.GOBLIN] = 1,
		[F.FROSTWOLF] = 1,
		[F.MAGHAR] = 1,
		[F.TRANQUILLIEN] = 1,
		[F.WARSONG_OFFENSIVE] = 1,
		[F.DRAGONMAW] = 1,
		[F.HELLSCREAM] = 1,
	},
	["Horde"] = {
		[F.HUMAN] = 1,
		[F.GNOME] = 1,
		[F.NELF] = 1,
		[F.DWARF] = 1,
		[F.DRAENEI] = 1,
		[F.WORGEN] = 1,
		[F.STORMPIKE] = 1,
		[F.KURENAI] = 1,
		[F.VALIANCE] = 1,
		[F.WILDHAMMER] = 1,
		[F.BARADIN] = 1,
	},
};

FFF_FactionGroups = {
	[F.ORC]			= F.HORDE,
	[F.TROLL]		= F.HORDE,
	[F.TAUREN]		= F.HORDE,
	[F.FORSAKEN]	= F.HORDE,
	[F.BELF]		= F.HORDE,
	[F.GOBLIN]		= F.HORDE,
	
	[F.HUMAN]	= F.ALLIANCE,
	[F.DWARF]	= F.ALLIANCE,
	[F.GNOME]	= F.ALLIANCE,
	[F.NELF]	= F.ALLIANCE,
	[F.DRAENEI]	= F.ALLIANCE,
	[F.WORGEN]	= F.ALLIANCE,
	
	[F.HAND_VENGEANCE]		= F.HORDE_EXPEDITION,
	[F.TAUNKA]				= F.HORDE_EXPEDITION,
	[F.SUNREAVERS]			= F.HORDE_EXPEDITION,
	[F.WARSONG_OFFENSIVE]	= F.HORDE_EXPEDITION,

	[F.EXPLORERS]		= F.ALLIANCE_VANGUARD,
	[F.FROSTBORN]		= F.ALLIANCE_VANGUARD,
	[F.SILVER_COVENANT]	= F.ALLIANCE_VANGUARD,
	[F.VALIANCE]		= F.ALLIANCE_VANGUARD,
}
FFF_GroupFactions = {	-- TODO: autogenerate one of these
	[F.HORDE] = {
		F.ORC,
		F.TROLL,
		F.TAUREN,
		F.FORSAKEN,
		F.BELF,
		F.GOBLIN,
	},
	[F.ALLIANCE] = {
		F.HUMAN,
		F.DWARF,
		F.GNOME,
		F.NELF,
		F.DRAENEI,
		F.WORGEN,
	},
	[F.HORDE_EXPEDITION] = {
		F.HAND_VENGEANCE,
		F.TAUNKA,
		F.SUNREAVERS,
		F.WARSONG_OFFENSIVE,
	},
	[F.ALLIANCE_VANGUARD] = {
		F.EXPLORERS,
		F.FROSTBORN,
		F.SILVER_COVENANT,
		F.VALIANCE,
	},
}
------------------------------------------------------
-- For tabard-based switching
------------------------------------------------------
FFF_TabardFactions = {
	-- Northrend
	[43154]	= F.ARGENT_CRUSADE,
	[43155]	= F.EBON_BLADE,
	[43156]	= F.WYRMREST,
	[43157]	= F.KIRIN_TOR,
	-- Cataclysm
	[65904]	= F.RAMKAHEN,
	[65905]	= F.EARTHEN_RING,
	[65906]	= F.GUARDIANS_HYJAL,
	[65907]	= F.THERAZANE,
	[65908]	= F.WILDHAMMER,
	[65909]	= F.DRAGONMAW,
	-- Racial (Horde)
	[45581]	= F.ORC,
	[45582]	= F.TROLL,
	[45584]	= F.TAUREN,
	[45583]	= F.FORSAKEN,
	[45585]	= F.BELF,
	[64884]	= F.GOBLIN,
	-- Racial (Alliance)
	[45574]	= F.HUMAN,
	[45577]	= F.DWARF,
	[45578]	= F.GNOME,
	[45579]	= F.NELF,
	[45580]	= F.DRAENEI,
	[64882]	= F.WORGEN,
};

------------------------------------------------------
-- For item tooltips and potential rep gain calculation
------------------------------------------------------
FFF_ItemInfo = {
	
	-- Racial factions: Horde
	[F.TAUREN] = {
		-- Argent Tournament vendor (not really a quest, but it works here)
		ChampionWrit = {
			creates = {
				[45722] = 1,	-- Thunder Bluff Commendation Badge
			},
			value = 0,
			buyValue = 250,
			items = {
				[46114] = 1,	-- Champion's Writ
			},
		},
		A_CommendationBadge = {
			value = 250,
			useItem = 1,
			purchased = 1,
			items = {
				[45722] = 1,	-- Thunder Bluff Commendation Badge
			},
		},
	},
	[F.TROLL] = {
		-- Argent Tournament vendor (not really a quest, but it works here)
		ChampionWrit = {
			creates = {
				[45720] = 1,	-- Sen'jin Commendation Badge
			},
			value = 0,
			buyValue = 250,
			items = {
				[46114] = 1,	-- Champion's Writ
			},
		},
		A_CommendationBadge = {
			value = 250,
			useItem = 1,
			purchased = 1,
			items = {
				[45720] = 1,	-- Sen'jin Commendation Badge
			},
		},
	},
	[F.FORSAKEN] = {
		-- Argent Tournament vendor (not really a quest, but it works here)
		ChampionWrit = {
			creates = {
				[45723] = 1,	-- Undercity Commendation Badge
			},
			value = 0,
			buyValue = 250,
			items = {
				[46114] = 1,	-- Champion's Writ
			},
		},
		A_CommendationBadge = {
			value = 250,
			useItem = 1,
			purchased = 1,
			items = {
				[45723] = 1,	-- Undercity Commendation Badge
			},
		},
	},
	[F.BELF] = {
		-- Argent Tournament vendor (not really a quest, but it works here)
		ChampionWrit = {
			creates = {
				[45721] = 1,	-- Silvermoon Commendation Badge
			},
			value = 0,
			buyValue = 250,
			items = {
				[46114] = 1,	-- Champion's Writ
			},
		},
		A_CommendationBadge = {
			value = 250,
			useItem = 1,
			purchased = 1,
			items = {
				[45721] = 1,	-- Silvermoon Commendation Badge
			},
		},
	},
	[F.ORC] = {
		-- Argent Tournament vendor (not really a quest, but it works here)
		ChampionWrit = {
			creates = {
				[45719] = 1,	-- Orgrimmar Commendation Badge
			},
			value = 0,
			buyValue = 250,
			items = {
				[46114] = 1,	-- Champion's Writ
			},
		},
		A_CommendationBadge = {
			value = 250,
			useItem = 1,
			purchased = 1,
			items = {
				[45719] = 1,	-- Orgrimmar Commendation Badge
			},
		},
		
		-- AV turnins
		AV_RiderHarnesses = {
			value = 10,
			items = {
				[17642] = 1,	-- Alterac Ram Hide
			},
		},
		AV_BossSummon_5 = {
			value = 50,
			items = {
				[17306] = 5,	-- Stormpike Soldier's Blood
			},
		},
		AV_BossSummon_1 = {
			value = 10,
			items = {
				[17306] = 1,	-- Stormpike Soldier's Blood
			},
		},
		AV_ArmorScraps = {
			value = 10,
			items = {
				[17422] = 20,	-- Armor Scraps
			},
		},
		AV_3rdAirstrike = {
			value = 10,
			items = {
				[17328] = 1,	-- Stormpike Commander's Flesh
			},
		},
		AV_2ndAirstrike = {
			value = 10,
			items = {
				[17327] = 1,	-- Stormpike Lieutenant's Flesh
			},
		},
		AV_1stAirstrike = {
			value = 10,
			items = {
				[17326] = 1,	-- Stormpike Soldier's Flesh
			},
		},
	},
	
	-- Racial factions: Alliance
	[F.NELF] = {
		-- Argent Tournament vendor (not really a quest, but it works here)
		ChampionWrit = {
			creates = {
				[45714] = 1,	-- Darnassus Commendation Badge
			},
			value = 0,
			buyValue = 250,
			items = {
				[46114] = 1,	-- Champion's Writ
			},
		},
		A_CommendationBadge = {
			value = 250,
			useItem = 1,
			purchased = 1,
			items = {
				[45714] = 1,	-- Darnassus Commendation Badge
			},
		},
	},
	[F.GNOME] = {
		-- Argent Tournament vendor (not really a quest, but it works here)
		ChampionWrit = {
			creates = {
				[45716] = 1,	-- Gnomeregan Commendation Badge
			},
			value = 0,
			buyValue = 250,
			items = {
				[46114] = 1,	-- Champion's Writ
			},
		},
		A_CommendationBadge = {
			value = 250,
			useItem = 1,
			purchased = 1,
			items = {
				[45716] = 1,	-- Gnomeregan Commendation Badge
			},
		},
	},
	[F.HUMAN] = {
		-- Argent Tournament vendor (not really a quest, but it works here)
		ChampionWrit = {
			creates = {
				[45718] = 1,	-- Stormwind Commendation Badge
			},
			value = 0,
			buyValue = 250,
			items = {
				[46114] = 1,	-- Champion's Writ
			},
		},
		A_CommendationBadge = {
			value = 250,
			useItem = 1,
			purchased = 1,
			items = {
				[45718] = 1,	-- Stormwind Commendation Badge
			},
		},
	},
	[F.DRAENEI] = {
		-- Argent Tournament vendor (not really a quest, but it works here)
		ChampionWrit = {
			creates = {
				[45715] = 1,	-- Exodar Commendation Badge
			},
			value = 0,
			buyValue = 250,
			items = {
				[46114] = 1,	-- Champion's Writ
			},
		},
		A_CommendationBadge = {
			value = 250,
			useItem = 1,
			purchased = 1,
			items = {
				[45715] = 1,	-- Exodar Commendation Badge
			},
		},
	},
	[F.DWARF] = {
		-- Argent Tournament vendor (not really a quest, but it works here)
		ChampionWrit = {
			creates = {
				[45717] = 1,	-- Ironforge Commendation Badge
			},
			value = 0,
			buyValue = 250,
			items = {
				[46114] = 1,	-- Champion's Writ
			},
		},
		A_CommendationBadge = {
			value = 250,
			useItem = 1,
			purchased = 1,
			items = {
				[45717] = 1,	-- Ironforge Commendation Badge
			},
		},

		-- AV turnins
		AV_RiderHarnesses = {
			value = 10,
			items = {
				[17643] = 1,	-- Frostwolf Hide
			},
		},
		AV_BossSummon_5 = {
			value = 50,
			items = {
				[17423] = 5,	-- Storm Crystal
			},
		},
		AV_BossSummon_1 = {
			value = 10,
			items = {
				[17423] = 1,	-- Storm Crystal
			},
		},
		AV_ArmorScraps = {
			value = 10,
			items = {
				[17422] = 20,	-- Armor Scraps
			},
		},
		AV_3rdAirstrike = {
			value = 10,
			items = {
				[17504] = 1,	-- Frostwolf Commander's Medal
			},
		},
		AV_2ndAirstrike = {
			value = 10,
			items = {
				[17503] = 1,	-- Frostwolf Lieutenant's Medal
			},
		},
		AV_1stAirstrike = {
			value = 10,
			items = {
				[17502] = 1,	-- Frostwolf Soldier's Medal
			},
		},
	},
	
	-- Battleground factions
	[F.FROSTWOLF] = {
		AV_RiderHarnesses = {
			value = 1,
			items = {
				[17642] = 1,	-- Alterac Ram Hide
			},
		},
		AV_BossSummon_5 = {
			value = 5,
			items = {
				[17306] = 5,	-- Stormpike Soldier's Blood
			},
		},
		AV_BossSummon_1 = {
			value = 1,
			items = {
				[17306] = 1,	-- Stormpike Soldier's Blood
			},
		},
		AV_ArmorScraps = {
			value = 1,
			items = {
				[17422] = 20,	-- Armor Scraps
			},
		},
		AV_3rdAirstrike = {
			value = 3,
			items = {
				[17328] = 1,	-- Stormpike Commander's Flesh
			},
		},
		AV_2ndAirstrike = {
			value = 2,
			items = {
				[17327] = 1,	-- Stormpike Lieutenant's Flesh
			},
		},
		AV_1stAirstrike = {
			value = 1,
			items = {
				[17326] = 1,	-- Stormpike Soldier's Flesh
			},
		},
	},
	[F.STORMPIKE] = {
		AV_RiderHarnesses = {
			value = 1,
			items = {
				[17643] = 1,	-- Frostwolf Hide
			},
		},
		AV_BossSummon_5 = {
			value = 5,
			items = {
				[17423] = 5,	-- Storm Crystal
			},
		},
		AV_BossSummon_1 = {
			value = 1,
			items = {
				[17423] = 1,	-- Storm Crystal
			},
		},
		AV_ArmorScraps = {
			value = 1,
			items = {
				[17422] = 20,	-- Armor Scraps
			},
		},
		AV_3rdAirstrike = {
			value = 3,
			items = {
				[17504] = 1,	-- Frostwolf Commander's Medal
			},
		},
		AV_2ndAirstrike = {
			value = 2,
			items = {
				[17503] = 1,	-- Frostwolf Lieutenant's Medal
			},
		},
		AV_1stAirstrike = {
			value = 1,
			items = {
				[17502] = 1,	-- Frostwolf Soldier's Medal
			},
		},
	},

	-- Other factions
	[F.ZANDALAR] = {
		A_HonorTokens = {
			value = 50,
			useItem = 1,
			items = {
				[19858] = 1,	-- Zandalar Honor Token
			},
		},
	},
	[F.BROOD_NOZDORMU] = {
		MortalChampions = {
			value = 500,
			items = {
				[21229] = 1,	-- Qiraji Lord's Insignia
			},
		},
		SecretsOfTheQiraji = {
			value = 1000,
			items = {
				[21230] = 1,	-- Ancient Qiraji Artifact
			},
		},
		HandOfTheRighteous = {
			value = 500,
			maxStanding = 4, 
			items = {
				[20384] = 200,	-- Silithid Carapace Fragment
			},
		},
	},
	[F.CENARION_CIRCLE] = {
		_MortalChampions = {
			value = 500,
			items = {
				[21229] = 1,	-- Qiraji Lord's Insignia
			},
		},

		TwilightTexts = {
			value = 500,
			items = {
				[20404] = 10,	-- Encrypted Twilight Text
			},
		},

		Allegiance = {
			value = 1000,
			items = {
				[20800] = 1,	-- Cenarion Logistics Badge
				[20801] = 1,	-- Cenarion Tactical Badge
				[20802] = 1,	-- Cenarion Combat Badge
			},
		},

		Abyssal3_Scepters = {
			value = 1000,		
			items = {
				[20515] = 3,	-- Abyssal Scepter
			},
		},
		Abyssal2_Signets = {
			value = 500,
			items = {
				[20514] = 3,	-- Abyssal Signet
			},
		},
		Abyssal1_Crests = {
			value = 150,
			items = {
				[20513] = 3,	-- Abyssal Crest
			},
		},
	},
	[F.ARGENT_DAWN] = {
		A_ValorTokens = {
			value = 100,
			useItem = 1,
			items = {
				[12844] = 1,	-- Argent Dawn Valor Token
			},
		},
	},
	[F.TIMBERMAW] = {
		Totem_Winterfall = {
			value = 1400,
			minStanding = 4, 
			items = {
				[20742] = 1,	-- Winterfall Ritual Totem
			},
		},
		Totem_Deadwood = {
			value = 1400,
			minStanding = 4, 
			items = {
				[20741] = 1,	-- Deadwood Ritual Totem
			},
		},
		Feathers_Deadwood = {
			value = 2000,
			items = {
				[21377] = 5,	-- Deadwood Headdress Feather
			},
		},
		Beads_Winterfall = {
			value = 2000,
			items = {
				[21383] = 5,	-- Winterfall Spirit Beads
			},
		},
	},
	[F.THORIUM_BROTHERHOOD] = {
		DarkIronResidue = {
			value = 60,
			minStanding = 5,
			maxStanding = 7, 
			items = {
				[18945] = 4,	-- Dark Iron Residue
			},
		},
		DarkIronOre = {
			value = 300,
			items = {
				[11370] = 10,	-- Dark Iron Ore
			},
		},
		CoreLeather = {
			value = 1400,
			items = {
				[17012] = 2,	-- Core Leather
			},
		},
		FieryCore = {
			value = 2000,
			items = {
				[17010] = 1,	-- Fiery Core
			},
		},
		LavaCore = {
			value = 2000,
			items = {
				[17011] = 1,	-- Lava Core
			},
		},
		BloodOfTheMountain = {
			value = 2000,
			items = {
				[11382] = 1,	-- Blood of the Mountain
			},
		},
	},

	-- Burning Crusade factions
	[F.CONSORTIUM] = {
		Prisons2_AThousandWorlds = {
			value = 500,
			minStanding = 7, 
			items = {
				[29460] = 5,	-- Ethereum Prison Key
			},
		},
		Prisons1_EthereumSecrets = {
			value = 250,
			minStanding = 6, 
			items = {
				[31957] = 1,	-- Ethereum Prisoner I.D. Tag
			},
		},
		Netherstorm_HeapOfEtherials = {
			value = 250,
			minStanding = 5, 
			items = {
				[29209] = 10,	-- Zaxxis Insignia
			},
		},
		Nagrand_Warbeads = {
			value = 250,
			minStanding = 5, 
			items = {
				[25433] = 10,	-- Obsidian Warbeads
			},
		},
		IvoryTusks = {
			value = 250,
			minStanding = 4, 
			maxStanding = 4, 
			items = {
				[25463] = 3,	-- Pair of Ivory Tusks
			},
		},
		CrystalFragments = {
			value = 250,
			minStanding = 4, 
			maxStanding = 4, 
			items = {
				[25416] = 10,	-- Oshu'gun Crystal Fragment
			},
		},
	},
	[F.MAGHAR] = {
		Warbeads = {
			value = 500,
			minStanding = 4, 
			items = {
				[25433] = 10,	-- Obsidian Warbeads
			},
		},
	},
	[F.KURENAI] = {
		Warbeads = {
			value = 500,
			minStanding = 4, 
			items = {
				[25433] = 10,	-- Obsidian Warbeads
			},
		},
	},
	[F.CENARION_EXPEDITION] = {
		Junk_IdentifyPlantParts = {
			value = 250,
			minStanding = 4, 
			maxStanding = 5, 
			items = {
				[24401] = 10,	-- Unidentified Plant Parts
			},
		},
		Junk_UncataloguedSpecies = {
			value = 500,
			minStanding = 4, 
			items = {
				[24407] = 1,	-- Uncatalogued Species
			},
		},
		--[[
		CoilfangArmaments = {
			value = 75,
			minStanding = 4, 
			items = {
				[24368] = 1,	-- Coilfang Armaments
			},
		},
		]]
		CantGetEarnough = {
			value = 150,
			minStanding = 4, 
			items = {
				[35188] = 15,	-- Nesingwary Lackey Ear
			},
		},
	},
	[F.SPOREGGAR] = {
		Part3_BringMeAShrubbery = {
			value = 750,
			minStanding = 5, 
			items = {
				[24246] = 5,	-- Sanguine Hibiscus
			},
		},
		Part2_Glowcaps = {
			value = 750,
			minStanding = 4, 
			maxStanding = 4, 
			items = {
				[24245] = 10,	-- Glowcap
			},
		},
		Part2_FertileSpores = {
			value = 750,
			minStanding = 4, 
			items = {
				[24449] = 6,	-- Fertile Spores
			},
		},
		Part1_Tendrils = {
			value = 750,
			maxStanding = 4, 
			items = {
				[24291] = 6,	-- Bog Lord Tendril
			},
		},
		Part1_SporeSacs = {
			value = 750,
			maxStanding = 4, 
			items = {
				[24290] = 10,	-- Mature Spore Sac
			},
		},
	},
	[F.ALDOR] = {
		Unfriendly_VenomSacs = {
			value = 250,
			maxStanding = 3, 
			items = {
				[25802] = 8,	-- Dreadfang Venom Sac
			},
		},
		MarksOfSargeras_10 = {
			value = 250,
			minStanding = 5, 
			items = {
				[30809] = 10,	-- Mark of Sargeras
			},
		},
		MarksOfSargeras_01 = {
			value = 25,
			minStanding = 5, 
			items = {
				[30809] = 1,	-- Mark of Sargeras
			},
		},
		MarksOfKiljaeden_10 = {
			value = 250,
			minStanding = 4, 
			maxStanding = 5,
			items = {
				[29425] = 10,	-- Mark of Kil'jaeden
			},
		},
		MarksOfKiljaeden_01 = {
			value = 25,
			minStanding = 4,
			maxStanding = 5,
			items = {
				[29425] = 1,	-- Mark of Kil'jaeden
			},
		},
		FelArmament = {
			value = 350,
			minStanding = 5, 
			items = {
				[29740] = 1,	-- Fel Armament
			},
		},
	},
	[F.SCRYER] = {
		Unfriendly_BasiliskEyes = {
			value = 250,
			maxStanding = 3, 
			items = {
				[25744] = 8,	-- Dampscale Basilisk Eye
			},
		},		
		SunfurySignet_10 = {
			value = 250,
			minStanding = 5, 
			items = {
				[30810] = 10,	-- Sunfury Signet
			},
		},
		SunfurySignet_01 = {
			value = 25,
			minStanding = 5, 
			items = {
				[30810] = 1,	-- Sunfury Signet
			},
		},
		FirewingSignet_10 = {
			value = 250,
			minStanding = 4, 
			maxStanding = 5,
			items = {
				[29426] = 10,	-- Firewing Signet
			},
		},
		FirewingSignet_01 = {
			value = 25,
			minStanding = 4, 
			maxStanding = 5,
			items = {
				[29426] = 1,	-- Firewing Signet
			},
		},
		ArcaneTome = {
			value = 350,
			minStanding = 5, 
			items = {
				[29739] = 1,	-- Arcane Tome
			},
		},
	},
	[F.LOWER_CITY] = {
		ArakkoaFeathers = {
			value = 250,
			minStanding = 4, 
			maxStanding = 5, 
			items = {
				[25719] = 30,	-- Arakkoa Feather
			},
		},
	},
	[F.NETHERWING] = {
		GreatEggHunt = {
			value = 250,
			minStanding = 4, 
			items = {
				[32506] = 1,	-- Netherwing Egg
			},
		},
	},
	[F.SKYGUARD] = {
		ElixirOfShadows = {
			value = 150,
			minStanding = 4, 
			items = {
				[32388] = 6,	-- Shadow Dust
			},
		},
	},
	[F.SHATAR] = {
		Scryer_ArcaneTome = {
			value = 175,
			maxStanding = 5,
			otherFactionRequired = {
				faction = F.SCRYER,
				minStanding = 5,
			},
			items = {
				[29739] = 1,	-- Arcane Tome
			},
		},
		Scryer_SunfurySignet_10 = {
			value = 125,
			maxStanding = 5,
			otherFactionRequired = {
				faction = F.SCRYER,
				minStanding = 5,
			},
			items = {
				[30810] = 10,	-- Sunfury Signet
			},
		},
		Scryer_FirewingSignet_10 = {
			value = 125,
			maxStanding = 5,
			otherFactionRequired = {
				faction = F.SCRYER,
				minStanding = 4, 
				maxStanding = 5,
			},
			items = {
				[29426] = 10,	-- Firewing Signet
			},
		},

		Aldor_FelArmament = {
			value = 175,
			maxStanding = 5,
			otherFactionRequired = {
				faction = F.ALDOR,
				minStanding = 5,
			},
			items = {
				[29740] = 1,	-- Fel Armament
			},
		},
		Aldor_MarksOfSargeras_10 = {
			value = 125,
			maxStanding = 5,
			otherFactionRequired = {
				faction = F.ALDOR,
				minStanding = 5,
			},
			items = {
				[30809] = 10,	-- Mark of Sargeras
			},
		},
		Aldor_MarksOfKiljaeden_10 = {
			value = 125,
			maxStanding = 5,
			otherFactionRequired = {
				faction = F.ALDOR,
				minStanding = 4, 
				maxStanding = 5,
			},
			items = {
				[29425] = 10,	-- Mark of Kil'jaeden
			},
		},
	},

	-- Wrath of the Lich King factions
	[F.SONS_HODIR] = {
		Everfrost = {
			value = 455,
			minStanding = 5, 
			items = {
				[44724] = 1,	-- Everfrost Chip
			},
		},
		HodirsTribute = {
			value = 650,
			minStanding = 4,
			items = {
				[42780] = 10,	-- Relic of Ulduar
			},
		},

		-- justice vendors (not really a quest, but it works here)
		A_JusticePoints = {
			creates = {
				[49702] = 1,	-- Ebon Blade Commendation Badge
			},
			value = 0,
			buyValue = 520,
			items = {
				["currency:395"] = 16,	-- Justice Points
			},
		},
		A_CommendationBadge = {
			value = 520,
			useItem = 1,
			purchased = 1,
			items = {
				[49702] = 1,	-- Sons of Hodir Commendation Badge
			},
		},
	},
	[F.EBON_BLADE] = {
		ReadingTheBones = {
			value = 10,
			minStanding = 4,	-- needs verifying 
			items = {
				[43089] = 15,	-- Vrykul Bones
			},
		},
		
		-- justice vendors (not really a quest, but it works here)
		A_JusticePoints = {
			creates = {
				[44713] = 1,	-- Ebon Blade Commendation Badge
			},
			value = 0,
			buyValue = 520,
			items = {
				["currency:395"] = 16,		-- Justice Points
			},
		},
		A_CommendationBadge = {
			value = 520,
			useItem = 1,
			purchased = 1,
			items = {
				[44713] = 1,	-- Ebon Blade Commendation Badge
			},
		},
		
	},
	[F.ARGENT_CRUSADE] = {
		-- justice vendors (not really a quest, but it works here)
		A_JusticePoints = {
			creates = {
				[44711] = 1,	-- Argent Crusade Commendation Badge
			},
			value = 0,
			buyValue = 520,
			items = {
				["currency:395"] = 16,		-- Justice Points
			},
		},
		A_CommendationBadge = {
			value = 520,
			useItem = 1,
			purchased = 1,
			items = {
				[44711] = 1,	-- Argent Crusade Commendation Badge
			},
		},
	},
	[F.KIRIN_TOR] = {
		-- justice vendors (not really a quest, but it works here)
		A_JusticePoints = {
			creates = {
				[43950] = 1,	-- Kirin Tor Commendation Badge
			},
			value = 0,
			buyValue = 520,
			items = {
				["currency:395"] = 16,		-- Justice Points
			},
		},
		A_CommendationBadge = {
			value = 520,
			useItem = 1,
			purchased = 1,
			items = {
				[43950] = 1,	-- Kirin Tor Commendation Badge
			},
		},
	},
	[F.WYRMREST] = {
		-- justice vendors (not really a quest, but it works here)
		A_JusticePoints = {
			creates = {
				[44710] = 1,	-- Wyrmrest Commendation Badge
			},
			value = 0,
			buyValue = 520,
			items = {
				["currency:395"] = 16,		-- Justice Points
			},
		},
		A_CommendationBadge = {
			value = 520,
			useItem = 1,
			purchased = 1,
			items = {
				[44710] = 1,	-- Wyrmrest Commendation Badge
			},
		},
	},

	-- Cataclysm factions
	[F.BARADIN] = {
		-- vendors (not really a quest, but it works here)
		TolBaradCommendations = {
			creates = {
				[63517] = 1,	-- Baradin's Wardens Commendation
			},
			value = 0,
			buyValue = 250,
			items = {
				["currency:391"] = 16,		-- Tol Barad Commendations
			},
		},
		A_CommendationBadge = {
			value = 250,
			useItem = 1,
			purchased = 1,
			items = {
				[63517] = 1,	-- Baradin's Wardens Commendation
			},
		},
	},
	[F.HELLSCREAM] = {
		-- vendors (not really a quest, but it works here)
		TolBaradCommendations = {
			creates = {
				[63518] = 1,	-- Hellscream's Reach Commendation
			},
			value = 0,
			buyValue = 250,
			items = {
				["currency:391"] = 16,		-- Tol Barad Commendations
			},
		},
		A_CommendationBadge = {
			value = 250,
			useItem = 1,
			purchased = 1,
			items = {
				[63518] = 1,	-- Hellscream's Reach Commendation
			},
		},
	},
	
};



